PTHREAD_COND_WAIT(3)

NAME
pthread_cond_wait - wait on a condition variable

LIBRARY
libc_r

SYNOPSIS
#include <pthread.h>
int
pthread_cond_wait(pthread_cond_t *cond, pthread_mutex_t *mutex);

DESCRIPTION
The pthread_cond_wait() function atomically blocks the current thread waiting on the condition variable specified by cond, and unblocks the mutex specified by mutex. The waiting thread unblocks only after another thread calls pthread_cond_signal(3), or pthread_cond_broadcast(3) with the same condition variable, and the current thread requires the lock on mutex.

RETURN VALUES
If successful, the pthread_cond_wait() function will return zero. Otherwise an error number will be returned to indicate the error.

ERRORS
pthread_cond_wait() will fail if:

[EINVAL]
    The value specified by cond or the value specified by mutex is invalid.

SEE ALSO
pthread_cond_broadcast(3), pthread_cond_destroy(3), pthread_cond_init(3), pthread_cond_signal(3), pthread_cond_timedwait(3)

STANDARDS
pthread_cond_wait() conforms to ISO/IEC 9945-1 ANSI/IEEE (“POSIX”) Std 1003.1 Second Edition 1996-07-12.